Skip to main content
PATCH
/
intelligence
/
investigations
/
{id}
/
status
Update Investigation Status
curl --request PATCH \
  --url http://api.gu1.ai/intelligence/investigations/{id}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "closureReason": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.gu1.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Updates the status of an investigation.

Path Parameters

id
string
required
Investigation ID

Request Body

status
string
required
New status: OPEN, IN_PROGRESS, PENDING_REVIEW, CLOSED
closureReason
string
Required if status is CLOSED

Example

curl -X PATCH http://api.gu1.ai/intelligence/investigations/inv-123/status \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "CLOSED",
    "closureReason": "No risk identified - false positive"
  }'

Response

{
  "success": true,
  "investigationId": "inv-123",
  "status": "CLOSED",
  "message": "Investigation status updated to CLOSED"
}